<?php

function mt_customize_register( $wp_customize ) {
	
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';

	// Remove sections from customizer front-view
	$wp_customize->remove_section('colors');
	$wp_customize->remove_section('background_image');
	$wp_customize->remove_section('static_front_page');
	$wp_customize->remove_section('title_tagline');
	
	/**********************************************/
	/*************** ORDER ************************/
	/**********************************************/
	
	$wp_customize->add_section( 'mt_order_section' , array(
					'title'       => __( 'Section order', 'macho-lite' ),
					'priority'    => 27
	));
	
	$wp_customize->add_setting(
	        'mt_order_section',
	        array(
	        	'sanitize_callback' => 'mt_sanitize_pro_version'
	        )
	);
	
	$wp_customize->add_control( new MT_Theme_Support( $wp_customize, 
			'mt_order_section',
		    array(
		        'section' => 'mt_order_section',
		   )
		)
	);

	$wp_customize->add_section( 'mt_maps_section' , array(
					'title'       => __( 'Google Maps', 'macho-lite' ),
					'priority'    => 37
	));
	
	$wp_customize->add_setting(
	        'mt_maps_section',
	        array(
	        	'sanitize_callback' => 'mt_sanitize_pro_version'
	        )
	);
	
	$wp_customize->add_control( new MT_Theme_Support_Googlemap( $wp_customize, 
			'mt_maps_section',
		    array(
		        'section' => 'mt_maps_section',
		   )
		)
	);


	/* Section Visibility */
	$wp_customize->add_section( 'mt_visibility_section' , 
		array(
			'title'       => __( 'Section visibility', 'macho-lite' ),
			'priority'    => 28
		)
	);

	/* Intro visibility */
	$wp_customize->add_setting('mt_intro_visibility', 
		array(
			'sanitize_callback' => 'mt_sanitize_checkbox',
			'default' => '1'
		)
	);
	$wp_customize->add_control( 
			'mt_intro_visibility',
		    array(
		    	'type'	=> 'checkbox',
		    	'label' => __('Display the Intro section ?', 'macho-lite'),
		        'section' => 'mt_visibility_section',
		   )
	);

	/* About visibility */
	$wp_customize->add_setting('mt_about_visibility',
		array(
			'sanitize_callback' => 'mt_sanitize_checkbox',
			'default' => '1'
		)
	);
	$wp_customize->add_control( 
			'mt_about_visibility',
		    array(
		    	'type'	=> 'checkbox',
		    	'label' => __('Display the about section ?', 'macho-lite'),
		        'section' => 'mt_visibility_section',
		   )
	);

	/* Recent works visibility */
	$wp_customize->add_setting('mt_works_visibility',
		array(
			'sanitize_callback' => 'mt_sanitize_checkbox',
			'default' => '1'
		)
	);
	$wp_customize->add_control( 
			'mt_works_visibility',
		    array(
		    	'type'	=> 'checkbox',
		    	'label' => __('Display the works section ?', 'macho-lite'),
		        'section' => 'mt_visibility_section',
		   )
	);

	/* Testimonials visibility */
	$wp_customize->add_setting('mt_testimonials_visibility',
		array(
			'sanitize_callback' => 'mt_sanitize_checkbox',
			'default' => '1'
		)
	);
	$wp_customize->add_control( 
			'mt_testimonials_visibility',
		    array(
		    	'type'	=> 'checkbox',
		    	'label' => __('Display the testimonials section ?', 'macho-lite'),
		        'section' => 'mt_visibility_section',
		   )
	);

	/* Team visibility */
	$wp_customize->add_setting('mt_team_visibility',
		array(
			'sanitize_callback' => 'mt_sanitize_checkbox',
			'default' => '1'
		)
	);
	$wp_customize->add_control( 
			'mt_team_visibility',
		    array(
		    	'type'	=> 'checkbox',
		    	'label' => __('Display the team section ?', 'macho-lite'),
		        'section' => 'mt_visibility_section',
		   )
	);

	/* News visibility */
	$wp_customize->add_setting('mt_news_visibility',
		array(
			'sanitize_callback' => 'mt_sanitize_checkbox',
			'default' => '1'
		)
	);
	$wp_customize->add_control( 
			'mt_news_visibility',
		    array(
		    	'type'	=> 'checkbox',
		    	'label' => __('Display the news section ?', 'macho-lite'),
		        'section' => 'mt_visibility_section',
		   )
	);

	/* Contact visibility */
	$wp_customize->add_setting('mt_contact_visibility',
		array(
			'sanitize_callback' => 'mt_sanitize_checkbox',
			'default' => '1'
		)
	);
	$wp_customize->add_control( 
			'mt_contact_visibility',
		    array(
		    	'type'	=> 'checkbox',
		    	'label' => __('Display the contact section ?', 'macho-lite'),
		        'section' => 'mt_visibility_section',
		   )
	);


	/***********************************************/
	/************** GENERAL OPTIONS  ***************/
	/***********************************************/

	
		$wp_customize->add_panel( 'panel_general', 
			array(
				'priority' => 29,
				'capability' => 'edit_theme_options',
				'theme_supports' => '',
				'title' => __( 'General options', 'macho-lite' )
			) 
		);
		
		/***********************************************/
		/************** General Site Settings  ***************/
		/***********************************************/
		$wp_customize->add_section( 'mt_general_section' , 
			array(
				'title'       => __( 'General', 'macho-lite' ),
				'priority'    => 1,
				'panel' 	  => 'panel_general'
			)
		);
		

		/* Company text logo */
		$wp_customize->add_setting('mt_text_logo',
			array(
					'sanitize_callback' => 'mt_sanitize_text'
				)
		);

		$wp_customize->add_control(
			'mt_text_logo',
			array(
				'label' 		=> __('Enter text logo here (company name)', 'macho-lite'),
				'section' 		=> 'mt_general_section',
				'priority' 		=> 2
			)
		);


		/* COPYRIGHT */
		$wp_customize->add_setting( 'mt_copyright', 
			array(
				'sanitize_callback' => 'mt_sanitize_text',
				'default' => '&copy; 2015 All rights reserved <a href="http://www.machothemes.com">Macho Themes.</a>',
			)
		);
		$wp_customize->add_control( new Textarea_Custom_Control( 
			$wp_customize, 
			'mt_copyright' , 
			array(
					'label'    => __( 'Copyright', 'macho-lite' ),
					'section'  => 'mt_general_section',
					'settings' => 'mt_copyright',
					'priority'    => 3,
				) 
			) 
		);
		
		/***********************************************/
		/************** Contact Details  ***************/
		/***********************************************/
		$wp_customize->add_section( 'mt_general_contact_section' , 
			array(
				'title'       => __( 'Contact Details', 'macho-lite' ),
				'priority'    => 2,
				'panel' => 'panel_general'
			)
		);
		

			
		/* email */   
		$wp_customize->add_setting( 'mt_email', 
			array( 
				'sanitize_callback' => 'mt_sanitize_text',
				'default' => '<a href="mailto:contact@site.com">contact@site.com</a>'
			) 
		);

		$wp_customize->add_control( 'mt_email',
			array(
					'label'   => __( 'Email', 'macho-lite' ),
					'section' => 'mt_general_contact_section',
					'settings'   => 'mt_email',
					'priority' => 10
				)
		);
		
	
		/* phone number */
		$wp_customize->add_setting( 'mt_phone', 
			array(
				'sanitize_callback' => 'mt_sanitize_number',
				'default' => '<a href="tel:0 332 548 954">0 332 548 954</a>'
			) 
		);

		$wp_customize->add_control( 'mt_phone',
			array(
				'label'   => __( 'Phone number', 'macho-lite' ),
				'section' => 'mt_general_contact_section',
				'settings'   => 'mt_phone',
				'priority' => 12
				)
		);
		
		/* address */
		$wp_customize->add_setting( 'mt_address', 
			array( 
				'sanitize_callback' => 'mt_sanitize_text', 
				'default' => __('Street 221B Baker Street','macho-lite') 
			) 
		);

		$wp_customize->add_control( new Textarea_Custom_Control( $wp_customize, 'mt_address', 
			array(
					'label'   => __( 'Address', 'macho-lite' ),
					'section' => 'mt_general_contact_section',
					'settings'   => 'mt_address',
					'priority' => 14
				)
			)
		) ;

	


	/***********************************************/
	/************** Intro  ***************/
	/***********************************************/

	$wp_customize->add_panel( 'panel_intro', 
			array(
				'priority' => 30,
				'capability' => 'edit_theme_options',
				'theme_supports' => '',
				'title' => __( 'Intro Section (big bg. image)', 'macho-lite' )
			) 
		);

	/* Text Section */
	$wp_customize->add_section( 'mt_intro_text' , 
		array(
			'title'       		=> __( 'Text', 'macho-lite' ),
			'priority'    		=> 1,
			'panel' 			=> 'panel_intro'
		)
	);
	
		/* Main CTA text */
		$wp_customize->add_setting('mt_intro_cta', 
			array(
				'sanitize_callback' => 'mt_sanitize_text',
				'default' => __('Probably the BEST FREE WordPress theme.', 'macho-lite')
			)
		);

		$wp_customize->add_control( new Textarea_Custom_Control(
			$wp_customize,
			'mt_intro_cta',
				array(
					'label' 	=> __('Main CTA text ', 'macho-lite'),
					'section' 	=> 'mt_intro_text',
					'priority' 	=> 1
				)
			)
		);

		/* Main CTA sub-text */
		$wp_customize->add_setting('mt_intro_sub_cta', 
			array(
				'sanitize_callback' => 'mt_sanitize_text',
				'default' => __('60fps smooth parallax header; Random header images (multiple images allowed here). <br /><u>You should definitely buy this theme</u>', 'macho-lite'),
			)
		);

		$wp_customize->add_control( new Textarea_Custom_Control(
			$wp_customize,
			'mt_intro_sub_cta',
				array(
					'label' 	=> __('Main CTA sub-title ', 'macho-lite'),
					'section' 	=> 'mt_intro_text',
					'priority' 	=> 2
				)
			)
		);

	/* Button Section */
	$wp_customize->add_section( 'mt_intro_button' , 
		array(
			'title'       		=> __( 'Button', 'macho-lite' ),
			'priority'    		=> 2,
			'panel' 			=> 'panel_intro'
		)
	);

		/* Button text */
		$wp_customize->add_setting('mt_intro_button_text', 
			array(
				'sanitize_callback' => 'mt_sanitize_text',
				'default' => __('Buy now', 'macho-lite'),
			)
		);

		$wp_customize->add_control( 
			'mt_intro_button_text',
			array(
				'label' 	=> __('Button text ', 'macho-lite'),
				'section' 	=> 'mt_intro_button',
				'priority' 	=> 1
			)
			
		);

		/* Button URL */
		$wp_customize->add_setting('mt_intro_button_url', 
			array(
				'sanitize_callback' => 'esc_url_raw',
				'default' => 'http://www.machothemes.com/pixova/'
			)
		);

		$wp_customize->add_control( 
			'mt_intro_button_url',
			array(
				'label' 	=> __('Button URL ', 'macho-lite'),
				'section' 	=> 'mt_intro_button',
				'priority' 	=> 1
			)
			
		);

	/* What we do Section #1 */
	$wp_customize->add_section( 'mt_intro_what_we_do_1' , 
		array(
			'title'       		=> __( 'What we do #1', 'macho-lite' ),
			'priority'    		=> 3,
			'panel' 			=> 'panel_intro'
		)
	);

		/* What we do #1: title */
		$wp_customize->add_setting('mt_intro_what_we_do_1_title', 
			array(
				'sanitize_callback' => 'mt_sanitize_text',
				'default' => 'Web design',
			)
		);

		$wp_customize->add_control( 
			'mt_intro_what_we_do_1_title',
			array(
				'label' 	=> __('What we do #1 title ', 'macho-lite'),
				'section' 	=> 'mt_intro_what_we_do_1',
				'priority' 	=> 1
			)
			
		);

		/* What we do #1: description */
		$wp_customize->add_setting('mt_intro_what_we_do_1_description', 
			array(
				'sanitize_callback' => 'mt_sanitize_text',
				'default' => __('Lorem ipsum dolor sit amet. Lorem ipsum.', 'macho-lite'),
			)
		);

		$wp_customize->add_control( new Textarea_Custom_Control(
			$wp_customize,
			'mt_intro_what_we_do_1_description',
				array(
					'label' 	=> __('What we do #1 description ', 'macho-lite'),
					'section' 	=> 'mt_intro_what_we_do_1',
					'priority' 	=> 2
				)
			)
		);


	/* What we do Section #2 */
	$wp_customize->add_section( 'mt_intro_what_we_do_2' , 
		array(
			'title'       		=> __( 'What we do #2', 'macho-lite' ),
			'priority'    		=> 4,
			'panel' 			=> 'panel_intro'
		)
	);

		/* What we do #2: title */
			$wp_customize->add_setting('mt_intro_what_we_do_2_title', 
				array(
					'sanitize_callback' => 'mt_sanitize_text',
					'default' => __('Development', 'macho-lite'),
				)
			);

			$wp_customize->add_control( 
				'mt_intro_what_we_do_2_title',
				array(
					'label' 	=> __('What we do #2 title ', 'macho-lite'),
					'section' 	=> 'mt_intro_what_we_do_2',
					'priority' 	=> 2
				)
				
			);

			/* What we do #2: description */
			$wp_customize->add_setting('mt_intro_what_we_do_2_description', 
				array(
					'sanitize_callback' => 'mt_sanitize_text',
					'default' => __('Lorem ipsum dolor sit amet. Lorem ipsum.', 'macho-lite'),
				)
			);

			$wp_customize->add_control( new Textarea_Custom_Control(
				$wp_customize,
				'mt_intro_what_we_do_2_description',
					array(
						'label' 	=> __('What we do #2 description ', 'macho-lite'),
						'section' 	=> 'mt_intro_what_we_do_2',
						'priority' 	=> 2
					)
				)
			);


	/* What we do Section #3 */
	$wp_customize->add_section( 'mt_intro_what_we_do_3' , 
		array(
			'title'       		=> __( 'What we do #3', 'macho-lite' ),
			'priority'    		=> 5,
			'panel' 			=> 'panel_intro'
		)
	);

		/* What we do #3: title */
		$wp_customize->add_setting('mt_intro_what_we_do_3_title', 
			array(
				'sanitize_callback' => 'mt_sanitize_text',
				'default' => __('Print design', 'macho-lite'),
			)
		);

		$wp_customize->add_control( 
			'mt_intro_what_we_do_3_title',
			array(
				'label' 	=> __('What we do #3 title ', 'macho-lite'),
				'section' 	=> 'mt_intro_what_we_do_3',
				'priority' 	=> 3
			)
			
		);

		/* What we do #3: description */
		$wp_customize->add_setting('mt_intro_what_we_do_3_description', 
			array(
				'sanitize_callback' => 'mt_sanitize_text',
				'default' => __('Lorem ipsum dolor sit amet. Lorem ipsum.', 'macho-lite'),
			)
		);

		$wp_customize->add_control( new Textarea_Custom_Control(
			$wp_customize,
			'mt_intro_what_we_do_3_description',
				array(
					'label' 	=> __('What we do #3 description ', 'macho-lite'),
					'section' 	=> 'mt_intro_what_we_do_3',
					'priority' 	=> 3
				)
			)
		);



	/***********************************************/
	/************** About Options  ***************/
	/***********************************************/

	
		$wp_customize->add_panel( 'panel_about', 
			array(
				'priority' => 31,
				'capability' => 'edit_theme_options',
				'theme_supports' => '',
				'title' => __( 'About Section', 'macho-lite' )
			) 
		);

		$wp_customize->add_section( 'mt_about_titles' , array(
				'title'       => __( 'Section Titles', 'macho-lite' ),
				'priority'    => 1,
				'panel' 	  => 'panel_about'
		));

		/* Section Title */
		$wp_customize->add_setting('mt_about_section_title', 
			array(
					'sanitize_callback' => 'mt_sanitize_text'
				)
		);

		$wp_customize->add_control(
			'mt_about_section_title',
			array(
				'label' 	=> __('Section title', 'macho-lite'),
				'section' 	=> 'mt_about_titles',
				'priority' 	=> 1,
			)
		);

		/* Section Sub-Title */
		$wp_customize->add_setting('mt_about_section_sub_title', 
			array(
					'sanitize_callback' => 'mt_sanitize_text'
				)
		);

		$wp_customize->add_control(
			'mt_about_section_sub_title',
			array(
				'label' 	=> __('Section sub-title', 'macho-lite'),
				'section' 	=> 'mt_about_titles',
				'priority' 	=> 0,
			)
		);


		
		$wp_customize->add_section('mt_about_section_text',
			array(
				'title' => __('Section text', 'macho-lite'),
				'priority' => 1,
				'panel' => 'panel_about'
			)
		);

		/* About textarea */
		$wp_customize->add_setting('mt_about_section_textarea',
				array(
					'sanitize_callback' => 'mt_sanitize_text',
					'default' => __('Creative ut tincidunt nibh, varius cursus nunc. Curabitur molestie, metus vel luctus euismod, mi libero laoreet odio, eu dapibus leo tortor sit amet purus. It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout.', 'macho-lite'),
				)
		);

		$wp_customize->add_control(new Textarea_Custom_Control(
				$wp_customize,
				'mt_about_section_textarea',
					array(
						'label' => __('Block of text', 'macho-lite'),
						'section' => 'mt_about_section_text',
					)
			)
		);

		/* About blockquote */
		$wp_customize->add_setting('mt_about_section_blockquote',
				array(
					'sanitize_callback' => 'mt_sanitize_text',
					'default' => __('Working with Pixova has been an experience for a lifetime. I strongly reccommend these guys for their awesome support. Erlich Bachman, Aviato', 'macho-lite'),
				)
		);

		$wp_customize->add_control(new Textarea_Custom_Control(
				$wp_customize,
				'mt_about_section_blockquote',
					array(
						'label' => __('Blockquote', 'macho-lite'),
						'section' => 'mt_about_section_text',
					)
			)
		);

		/* Section Chart # 1 */
		$wp_customize->add_section('mt_section_chart_1',
			array(
				'title' 	=> __('Section Chart #1', 'macho-lite'),
				'priority' 	=> 2,
				'panel' 	=> 'panel_about'
			)
		);

		/* Chart #1 Heading */
		$wp_customize->add_setting('mt_about_section_chart_1_heading', 
			array(
				'sanitize_callback' => 'mt_sanitize_text',
				'default' => __('Web design', 'macho-lite'),
			)
		);

		$wp_customize->add_control('mt_about_section_chart_1_heading',
			array(
				'label' => __('Heading for chart', 'macho-lite'),
				'section' => 'mt_section_chart_1',
				'priority' => 0
			)
		);

		/* Chart #1 Settings */
		$wp_customize->add_setting('mt_about_section_chart_1_percentage', 
			array(
					'sanitize_callback' => 'mt_sanitize_text',
					'default' => '70'
				)
		);

		$wp_customize->add_control( new Number_Custom_Control(
			$wp_customize,
			'mt_about_section_chart_1_percentage',
				array(
					'label' 	=> __('Chart Percentage', 'macho-lite'),
					'section' 	=> 'mt_section_chart_1',
					'priority' 	=> 1,
				)
			)
		);

		/* Chart Bar Color */
		$wp_customize->add_setting('mt_about_section_chart_1_bar_color',
			array(
				'sanitize_callback' => 'mt_sanitize_hex_color',
				'default' => '#2cc36b',
			)
		);
		$wp_customize->add_control( new WP_Customize_Color_Control( 
			$wp_customize, 
			'mt_about_section_chart_1_bar_color',
				array(
					'type' => 'color',
					'label' => __('Chart bar color', 'macho-lite'),
					'section' => 'mt_section_chart_1',
					'priority' => 2
				)
			)
		);

		/* Chart Track Color */
		$wp_customize->add_setting('mt_about_section_chart_1_track_color',
			array(
				'sanitize_callback' => 'mt_sanitize_hex_color',
				'default' => '#EEE'
			)
		);
		$wp_customize->add_control( new WP_Customize_Color_Control( 
			$wp_customize, 
			'mt_about_section_chart_1_track_color',
				array(
					'type' => 'color',
					'label' => __('Chart Track color', 'macho-lite'),
					'section' => 'mt_section_chart_1',
					'priority' => 3
				)
			)
		);



		/* Section Chart # 2 */
		$wp_customize->add_section('mt_section_chart_2',
			array(
				'title' 	=> __('Section Chart #2', 'macho-lite'),
				'priority' 	=> 3,
				'panel' 	=> 'panel_about'
			)
		);

		/* Chart #2 Heading */
		$wp_customize->add_setting('mt_about_section_chart_2_heading', 
			array(
				'sanitize_callback' => 'mt_sanitize_text',
				'default' => __('Web development', 'macho-lite'),
			)
		);

		$wp_customize->add_control('mt_about_section_chart_2_heading',
			array(
				'label' => __('Heading for chart', 'macho-lite'),
				'section' => 'mt_section_chart_2',
				'priority' => 0
			)
		);

		/* Chart #2 Settings */
		$wp_customize->add_setting('mt_about_section_chart_2_percentage', 
			array(
					'sanitize_callback' => 'mt_sanitize_text',
					'default' => '90'
				)
		);

		$wp_customize->add_control( new Number_Custom_Control(
			$wp_customize,
			'mt_about_section_chart_2_percentage',
				array(
					'label' 	=> __('Chart Percentage', 'macho-lite'),
					'section' 	=> 'mt_section_chart_2',
					'priority' 	=> 1,
				)
			)
		);

		/* Chart Bar Color */
		$wp_customize->add_setting('mt_about_section_chart_2_bar_color', 
			array(
				'sanitize_callback' => 'mt_sanitize_hex_color',
				'default' => '#2cc36b'
			)
		);
		$wp_customize->add_control( new WP_Customize_Color_Control( 
			$wp_customize, 
			'mt_about_section_chart_2_bar_color',
				array(
					'type' => 'color',
					'label' => __('Chart bar color', 'macho-lite'),
					'section' => 'mt_section_chart_2',
					'priority' => 2
				)
			)
		);

		/* Chart Track Color */
		$wp_customize->add_setting('mt_about_section_chart_2_track_color', 
			array(
				'sanitize_callback' => 'mt_sanitize_hex_color',
				'default' => '#EEE'
			)
		);
		$wp_customize->add_control( new WP_Customize_Color_Control( 
			$wp_customize, 
			'mt_about_section_chart_2_track_color',
				array(
					'type' => 'color',
					'label' => __('Chart Track color', 'macho-lite'),
					'section' => 'mt_section_chart_2',
					'priority' => 3
				)
			)
		);

		/* Section Chart #3 */
		$wp_customize->add_section('mt_section_chart_3',
			array(
				'title' 	=> __('Section Chart #3', 'macho-lite'),
				'priority' 	=> 4,
				'panel' 	=> 'panel_about'
			)
		);

		/* Chart #3 Heading */
		$wp_customize->add_setting('mt_about_section_chart_3_heading', 
			array(
				'sanitize_callback' => 'mt_sanitize_text',
				'default' => __('Print design', 'macho-lite'),
			)
		);

		$wp_customize->add_control('mt_about_section_chart_3_heading',
			array(
				'label' => __('Heading for chart', 'macho-lite'),
				'section' => 'mt_section_chart_2',
				'priority' => 0
			)
		);

		/* Chart #3 Settings */
		$wp_customize->add_setting('mt_about_section_chart_3_percentage', 
			array(
					'sanitize_callback' => 'mt_sanitize_text',
					'default' => '90'
				)
		);

		$wp_customize->add_control( new Number_Custom_Control(
			$wp_customize,
			'mt_about_section_chart_3_percentage',
				array(
					'label' 	=> __('Chart Percentage', 'macho-lite'),
					'section' 	=> 'mt_section_chart_3',
					'priority' 	=> 1,
				)
			)
		);

		/* Chart Bar Color */
		$wp_customize->add_setting('mt_about_section_chart_3_bar_color',
			array(
				'sanitize_callback' => 'mt_sanitize_hex_color',
				'default' => '#2cc36b'
			)
		);
		$wp_customize->add_control( new WP_Customize_Color_Control( 
			$wp_customize, 
			'mt_about_section_chart_3_bar_color',
				array(
					'type' => 'color',
					'label' => __('Chart bar color', 'macho-lite'),
					'section' => 'mt_section_chart_3',
					'priority' => 2
				)
			)
		);

		/* Chart Track Color */
		$wp_customize->add_setting('mt_about_section_chart_3_track_color',
			array(
				'sanitize_callback' => 'mt_sanitize_hex_color',
				'default' => '#EEE'
			)
		);
		$wp_customize->add_control( new WP_Customize_Color_Control( 
			$wp_customize, 
			'mt_about_section_chart_3_track_color',
				array(
					'type' => 'color',
					'label' => __('Chart Track color', 'macho-lite'),
					'section' => 'mt_section_chart_3',
					'priority' => 3
				)
			)
		);

		/* Section Chart #4 */
		$wp_customize->add_section('mt_section_chart_4',
			array(
				'title' 	=> __('Section Chart #4', 'macho-lite'),
				'priority' 	=> 5,
				'panel' 	=> 'panel_about'
			)
		);

		/* Chart #4 Heading */
		$wp_customize->add_setting('mt_about_section_chart_4_heading', 
			array(
				'sanitize_callback' => 'mt_sanitize_text',
				'default' => __('Graphic identity', 'macho-lite'),
			)
		);

		$wp_customize->add_control('mt_about_section_chart_4_heading',
			array(
				'label' => __('Heading for chart', 'macho-lite'),
				'section' => 'mt_section_chart_2',
				'priority' => 0
			)
		);

		/* Chart #4 Settings */
		$wp_customize->add_setting('mt_about_section_chart_4_percentage', 
			array(
					'sanitize_callback' => 'mt_sanitize_text',
					'default' => '50'
				)
		);

		$wp_customize->add_control( new Number_Custom_Control(
			$wp_customize,
			'mt_about_section_chart_4_percentage',
				array(
					'label' 	=> __('Chart Percentage', 'macho-lite'),
					'section' 	=> 'mt_section_chart_4',
					'priority' 	=> 1,
				)
			)
		);

		/* Chart Bar Color */
		$wp_customize->add_setting('mt_about_section_chart_4_bar_color',
			array(
				'sanitize_callback' => 'mt_sanitize_hex_color',
				'default' => '#2cc36b'
			)
		);
		$wp_customize->add_control( new WP_Customize_Color_Control( 
			$wp_customize, 
			'mt_about_section_chart_4_bar_color',
				array(
					'type' => 'color',
					'label' => __('Chart bar color', 'macho-lite'),
					'section' => 'mt_section_chart_4',
					'priority' => 2
				)
			)
		);

		/* Chart Track Color */
		$wp_customize->add_setting('mt_about_section_chart_4_track_color',
			array(
				'sanitize_callback' => 'mt_sanitize_hex_color',
				'default' => '#EEE'
			)
		);
		$wp_customize->add_control( new WP_Customize_Color_Control( 
			$wp_customize, 
			'mt_about_section_chart_4_track_color',
				array(
					'type' => 'color',
					'label' => __('Chart Track color', 'macho-lite'),
					'section' => 'mt_section_chart_4',
					'priority' => 3
				)
			)
		);





		
	
	/***********************************************/
	/************** Recent Works  ***************/
	/***********************************************/

	
		$wp_customize->add_panel( 'panel_works', 
			array(
				'priority' => 32,
				'capability' => 'edit_theme_options',
				'theme_supports' => '',
				'title' => __( 'Recent Works Section', 'macho-lite' )
			) 
		);

		$wp_customize->add_section( 'mt_work_titles' , array(
				'title'       => __( 'Section Titles', 'macho-lite' ),
				'priority'    => 1,
				'panel' 	  => 'panel_works'
		));

		/* Section Title */
		$wp_customize->add_setting('mt_work_section_title', 
			array(
					'sanitize_callback' => 'mt_sanitize_text',
					'default' => __('Recent works', 'macho-lite'),
				)
		);

		$wp_customize->add_control(
			'mt_work_section_title',
			array(
				'label' 	=> __('Section title', 'macho-lite'),
				'section' 	=> 'mt_work_titles',
				'priority' 	=> 1,
			)
		);

		/* Section Sub-Title */
		$wp_customize->add_setting('mt_work_section_sub_title', 
			array(
					'sanitize_callback' => 'mt_sanitize_text',
					'default' => __('It\'s show and tell time.', 'macho-lite')
				)
		);

		$wp_customize->add_control(
			'mt_work_section_sub_title',
			array(
				'label' 	=> __('Section sub-title', 'macho-lite'),
				'section' 	=> 'mt_work_titles',
				'priority' 	=> 2,
			)
		);

		/* Recent works: project #1 section */
		$wp_customize->add_section('mt_works_project_1',
			array(
				'title' 	=> __('Project #1', 'macho-lite'),
				'priority' 	=> 1,
				'panel' 	=> 'panel_works'
			)
		);

			/* Recent works: project #1 image */
			$wp_customize->add_setting('mt_works_project_1_image',
				array(
					'sanitize_callback' => 'mt_sanitize_file_url',
					'default' =>  get_template_directory_uri() . '/layout/images/recent-works/disk_mockup-270x426.jpg',
				)
			);

			$wp_customize->add_control( new WP_Customize_Image_Control(
				$wp_customize,
				'mt_works_project_1_image',
					array(
						'label' 	=> __('Project big image', 'macho-lite'),
						'section' 	=> 'mt_works_project_1',
						'priority' 	=> 1,
					)
				)
			);

			/* Recent works: project #1 logo */
			$wp_customize->add_setting('mt_works_project_1_logo',
				array(
					'sanitize_callback' => 'mt_sanitize_file_url',
					'default' => get_template_directory_uri() . '/layout/images/recent-works/logo1.png'
				)
			);

			$wp_customize->add_control( new WP_Customize_Image_Control(
				$wp_customize,
				'mt_works_project_1_logo',
					array(
						'label' 	=> __('Project logo image', 'macho-lite'),
						'section' 	=> 'mt_works_project_1',
						'priority' 	=> 2,
					)
				)
			);

			/* Recent works: project #1 URL */
			$wp_customize->add_setting('mt_works_project_1_url', 
				array(
					'sanitize_callback' => 'esc_url_raw',
					'default'			=> 'http://www.machothemes.com/themes/pixova/'
				)
			);

			$wp_customize->add_control(
				'mt_works_project_1_url',
					array(
						'label' 	=> __('Project URL (enter project link here)', 'macho-lite'),
						'section' 	=> 'mt_works_project_1',
						'priority' 	=> 3,
					)
			);

			/* Recent works: project #2 section */
			$wp_customize->add_section('mt_works_project_2',
				array(
					'title' 	=> __('Project #2', 'macho-lite'),
					'priority' 	=> 2,
					'panel' 	=> 'panel_works'
				)
			);


			/* Recent works: project #2 image */
			$wp_customize->add_setting('mt_works_project_2_image',
				array(
					'sanitize_callback' => 'mt_sanitize_file_url',
					'default' => get_template_directory_uri() . '/layout/images/recent-works/cup_of_coffee-270x426.jpg'
				)
			);

			$wp_customize->add_control( new WP_Customize_Image_Control(
				$wp_customize,
				'mt_works_project_2_image',
					array(
						'label' 	=> __('Project big image', 'macho-lite'),
						'section' 	=> 'mt_works_project_2',
						'priority' 	=> 2,
					)
				)
			);

			/* Recent works: project #2 logo */
			$wp_customize->add_setting('mt_works_project_2_logo',
				array(
					'sanitize_callback' => 'mt_sanitize_file_url',
					'default' => get_template_directory_uri() . '/layout/images/recent-works/logo2.png',
				)
			);

			$wp_customize->add_control( new WP_Customize_Image_Control(
				$wp_customize,
				'mt_works_project_2_logo',
					array(
						'label' 	=> __('Project logo image', 'macho-lite'),
						'section' 	=> 'mt_works_project_2',
						'priority' 	=> 2,
					)
				)
			);

			/* Recent works: project #2 URL */
			$wp_customize->add_setting('mt_works_project_2_url', 
				array(
					'sanitize_callback' => 'esc_url_raw',
					'default'			=> 'http://www.machothemes.com/themes/pixova/'
				)
			);

			$wp_customize->add_control(
				'mt_works_project_2_url',
					array(
						'label' 	=> __('Project URL (enter project link here)', 'macho-lite'),
						'section' 	=> 'mt_works_project_2',
						'priority' 	=> 3,
					)
			);

			/* Recent works: project #3 section */
			$wp_customize->add_section('mt_works_project_3',
				array(
					'title' 	=> __('Project #3', 'macho-lite'),
					'priority' 	=> 3,
					'panel' 	=> 'panel_works'
				)
			);


			/* Recent works: project #3 image */
			$wp_customize->add_setting('mt_works_project_3_image',
				array(
					'sanitize_callback' => 'mt_sanitize_file_url',
					'default' => get_template_directory_uri() . '/layout/images/recent-works/business_clip_card_holder-270x426.jpg'
				)
			);

			$wp_customize->add_control( new WP_Customize_Image_Control(
				$wp_customize,
				'mt_works_project_3_image',
					array(
						'label' 	=> __('Project big image', 'macho-lite'),
						'section' 	=> 'mt_works_project_3',
						'priority' 	=> 3,
					)
				)
			);

			/* Recent works: project #3 logo */
			$wp_customize->add_setting('mt_works_project_3_logo',
				array(
					'sanitize_callback' => 'mt_sanitize_file_url',
					'default' => get_template_directory_uri() . '/layout/images/recent-works/logo3.png'
				)
			);

			$wp_customize->add_control( new WP_Customize_Image_Control(
				$wp_customize,
				'mt_works_project_3_logo',
					array(
						'label' 	=> __('Project logo image', 'macho-lite'),
						'section' 	=> 'mt_works_project_3',
						'priority' 	=> 3,
					)
				)
			);

			/* Recent works: project #3 URL */
			$wp_customize->add_setting('mt_works_project_3_url', 
				array(
					'sanitize_callback' => 'esc_url_raw',
					'default'			=> 'http://www.machothemes.com/themes/pixova/'
				)
			);

			$wp_customize->add_control(
				'mt_works_project_3_url',
					array(
						'label' 	=> __('Project URL (enter project link here)', 'macho-lite'),
						'section' 	=> 'mt_works_project_3',
						'priority' 	=> 3,
					)
			);

			/* Recent works: project #4 section */
			$wp_customize->add_section('mt_works_project_4',
				array(
					'title' 	=> __('Project #4', 'macho-lite'),
					'priority' 	=> 4,
					'panel' 	=> 'panel_works'
				)
			);


			/* Recent works: project #4 image */
			$wp_customize->add_setting('mt_works_project_4_image',
				array(
					'sanitize_callback' => 'mt_sanitize_file_url',
					'default' => get_template_directory_uri() . '/layout/images/recent-works/iphone_big_mockup-270x426.jpg'
				)
			);

			$wp_customize->add_control( new WP_Customize_Image_Control(
				$wp_customize,
				'mt_works_project_4_image',
					array(
						'label' 	=> __('Project big image', 'macho-lite'),
						'section' 	=> 'mt_works_project_4',
						'priority' 	=> 4,
					)
				)
			);

			/* Recent works: project #4 logo */
			$wp_customize->add_setting('mt_works_project_4_logo',
				array(
					'sanitize_callback' => 'mt_sanitize_file_url',
					'default' => get_template_directory_uri() . '/layout/images/recent-works/logo4.png'
				)
			);

			$wp_customize->add_control( new WP_Customize_Image_Control(
				$wp_customize,
				'mt_works_project_4_logo',
					array(
						'label' 	=> __('Project logo image', 'macho-lite'),
						'section' 	=> 'mt_works_project_4',
						'priority' 	=> 4,
					)
				)
			);

			/* Recent works: project #4 URL */
			$wp_customize->add_setting('mt_works_project_4_url', 
				array(
					'sanitize_callback' => 'esc_url_raw',
					'default'			=> 'http://www.machothemes.com/themes/pixova/'
				)
			);

			$wp_customize->add_control(
				'mt_works_project_4_url',
					array(
						'label' 	=> __('Project URL (enter project link here)', 'macho-lite'),
						'section' 	=> 'mt_works_project_4',
						'priority' 	=> 4,
					)
			);



	/***********************************************/
	/************** Testimonials  ***************/
	/***********************************************/

	
		$wp_customize->add_panel( 'panel_testimonials', 
			array(
				'priority' => 33,
				'capability' => 'edit_theme_options',
				'theme_supports' => '',
				'title' => __( 'Testimonials Section', 'macho-lite' )
			) 
		);

		$wp_customize->add_section( 'mt_testimonial_titles' , array(
				'title'       => __( 'Section Titles', 'macho-lite' ),
				'priority'    => 1,
				'panel' 	  => 'panel_testimonials'
		));

			/* Section Title */
			$wp_customize->add_setting('mt_testimonial_section_title', 
				array(
						'sanitize_callback' => 'mt_sanitize_text',
						'default' => __('Some words from our clients', 'macho-lite'),
					)
			);

			$wp_customize->add_control(
				'mt_testimonial_section_title',
				array(
					'label' 	=> __('Section title', 'macho-lite'),
					'section' 	=> 'mt_testimonial_titles',
					'priority' 	=> 1,
				)
			);

			/* Section Sub-Title */
			$wp_customize->add_setting('mt_testimonial_section_sub_title', 
				array(
						'sanitize_callback' => 'mt_sanitize_text',
						'default' => __('We don\'t like to brag, others do it for us.', 'macho-lite'),
					)
			);

			$wp_customize->add_control(
				'mt_testimonial_section_sub_title',
				array(
					'label' 	=> __('Section sub-title', 'macho-lite'),
					'section' 	=> 'mt_testimonial_titles',
					'priority' 	=> 2,
				)
			);

		/* Testimonials: testimonial #1 section */
		$wp_customize->add_section( 'mt_testimonial_1' , array(
				'title'       => __( 'Testimonial #1', 'macho-lite' ),
				'priority'    => 1,
				'panel' 	  => 'panel_testimonials'
		));

			/* Testimonials: testimonial #1 person name */
			$wp_customize->add_setting('mt_testimonial_1_person_name', 
				array(
						'sanitize_callback' => 'mt_sanitize_text',
						'default' => __('Katie Parry - Hooli', 'macho-lite')
					)
			);

			$wp_customize->add_control(
				'mt_testimonial_1_person_name',
				array(
					'label' 	=> __('Testimonial person name', 'macho-lite'),
					'section' 	=> 'mt_testimonial_1',
					'priority' 	=> 1,
				)
			);

			/* Testimonials: testimonial #1 text */
			$wp_customize->add_setting('mt_testimonial_1_person_description', 
				array(
						'sanitize_callback' => 'mt_sanitize_text',
						'default' => __('Working with Pixova has been an experience for a lifetime. I strongly  reccommend these guys for their awesome support. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer volutpat eleifend convallis.', 'macho-lite')
					)
			);

			$wp_customize->add_control( new Textarea_Custom_Control(
				$wp_customize,
				'mt_testimonial_1_person_description',
					array(
						'label' 	=> __('Testimonial person description', 'macho-lite'),
						'section' 	=> 'mt_testimonial_1',
						'priority' 	=> 2,
					)
				)
			);

			/* Testimonials: testimonial #1 image */
			$wp_customize->add_setting('mt_testimonial_1_person_image',
				array(
					'sanitize_callback' => 'mt_sanitize_file_url',
					'default' => get_template_directory_uri() . '/layout/images/testimonials/teammembru_burned-92x92.jpg'
				)
			);

			$wp_customize->add_control( new WP_Customize_Image_Control(
				$wp_customize,
				'mt_testimonial_1_person_image',
					array(
						'label' 	=> __('Testimonial person image', 'macho-lite'),
						'section' 	=> 'mt_testimonial_1',
						'priority' 	=> 3,
					)
				)
			);

		/* Testimonials: testimonial #2 section */
		$wp_customize->add_section( 'mt_testimonial_2' , array(
				'title'       => __( 'Testimonial #2', 'macho-lite' ),
				'priority'    => 1,
				'panel' 	  => 'panel_testimonials'
		));


			/* Testimonials: testimonial #2 person name */
			$wp_customize->add_setting('mt_testimonial_2_person_name', 
				array(
						'sanitize_callback' => 'mt_sanitize_text',
						'default' => __('John Doe', 'macho-lite'),
					)
			);

			$wp_customize->add_control(
				'mt_testimonial_2_person_name',
				array(
					'label' 	=> __('Testimonial person name', 'macho-lite'),
					'section' 	=> 'mt_testimonial_2',
					'priority' 	=> 1,
				)
			);

			/* Testimonials: testimonial #2 text */
			$wp_customize->add_setting('mt_testimonial_2_person_description', 
				array(
						'sanitize_callback' => 'mt_sanitize_text',
						'default' => __('Working with Pixova has been an experience for a lifetime. I strongly  reccommend these guys for their awesome support. Lorem ipsum dolor sit amet, consectetur adipiscing elit. Integer volutpat eleifend convallis.', 'macho-lite')
					)
			);

			$wp_customize->add_control( new Textarea_Custom_Control(
				$wp_customize,
				'mt_testimonial_2_person_description',
					array(
						'label' 	=> __('Testimonial person name', 'macho-lite'),
						'section' 	=> 'mt_testimonial_2',
						'priority' 	=> 2,
					)
				)
			);

			/* Testimonials: testimonial #2 image */
			$wp_customize->add_setting('mt_testimonial_2_person_image',
				array(
					'sanitize_callback' => 'mt_sanitize_file_url',
					get_template_directory_uri() . '/layout/images/testimonials/teammembru_burned2-92x92.jpg'
				)
			);

			$wp_customize->add_control( new WP_Customize_Image_Control(
				$wp_customize,
				'mt_testimonial_2_person_image',
					array(
						'label' 	=> __('Testimonial person image', 'macho-lite'),
						'section' 	=> 'mt_testimonial_2',
						'priority' 	=> 3,
					)
				)
			);

	/***********************************************/
	/************** Latest News  ***************/
	/***********************************************/
	
		$wp_customize->add_panel( 'panel_news', 
			array(
				'priority' => 34,
				'capability' => 'edit_theme_options',
				'theme_supports' => '',
				'title' => __( 'Latest News Section', 'macho-lite' )
			) 
		);

			$wp_customize->add_section( 'mt_news_titles' , 
				array(
					'title'       => __( 'Section Titles', 'macho-lite' ),
					'priority'    => 1,
					'panel' 	  => 'panel_news'
				)
			);

			/* Section Title */
			$wp_customize->add_setting('mt_news_section_title', 
				array(
						'sanitize_callback' => 'mt_sanitize_text',
						'default' => __('Latest news', 'macho-lite')
					)
			);

			$wp_customize->add_control(
				'mt_news_section_title',
				array(
					'label' 	=> __('Section title', 'macho-lite'),
					'section' 	=> 'mt_news_titles',
					'priority' 	=> 1,
				)
			);

			/* Section Sub-Title */
			$wp_customize->add_setting('mt_news_section_sub_title', 
				array(
						'sanitize_callback' => 'mt_sanitize_text',
						'default' => __('Straight from our blog', 'macho-lite')
					)
			);

			$wp_customize->add_control(
				'mt_news_section_sub_title',
				array(
					'label' 	=> __('Section sub-title', 'macho-lite'),
					'section' 	=> 'mt_news_titles',
					'priority' 	=> 2,
				)
			);

			$wp_customize->add_section('mt_news_number', 
				array(
					'title' => __('Number of posts to display', 'macho-lite'),
					'priority' => 2,
					'panel' => 'panel_news'
				)
			);

			$wp_customize->add_setting('mt_news_post_number', 
				array(
					'sanitize_callback' => 'mt_sanitize_number',
					'default' => 4
				)
			);

			$wp_customize->add_control( new Number_Custom_Control(
				$wp_customize,
				'mt_news_post_number',
					array(
						'label' => __('Number of posts to display', 'macho-lite'),
						'section' => 'mt_news_number',
						'priority' => 1,
					)
				)
			);


	/***********************************************/
	/************** Contact  ***************/
	/***********************************************/
	
		$wp_customize->add_panel( 'panel_contact', 
			array(
				'priority' => 35,
				'capability' => 'edit_theme_options',
				'theme_supports' => '',
				'title' => __( 'Contact Section', 'macho-lite' )
			) 
		);

			$wp_customize->add_section('mt_contact_titles',
				array(
					'title' => __('Section titles', 'macho-lite'),
					'priority' => 1,
					'panel' => 'panel_contact'
				)
			);


			/* Section Title */
				$wp_customize->add_setting('mt_contact_section_title', 
					array(
							'sanitize_callback' => 'mt_sanitize_text',
							'default' => __('Contact us', 'macho-lite')
						)
				);

				$wp_customize->add_control(
					'mt_contact_section_title',
					array(
						'label' 	=> __('Section title', 'macho-lite'),
						'section' 	=> 'mt_contact_titles',
						'priority' 	=> 1,
					)
				);

				/* Section Sub-Title */
				$wp_customize->add_setting('mt_contact_section_sub_title', 
					array(
							'sanitize_callback' => 'mt_sanitize_text',
							'default' => __('And we\'ll reply in no time', 'macho-lite'),
						)
				);

				$wp_customize->add_control(
					'mt_contact_section_sub_title',
					array(
						'label' 	=> __('Section sub-title', 'macho-lite'),
						'section' 	=> 'mt_contact_titles',
						'priority' 	=> 2,
					)
				);

				$wp_customize->add_section('mt_contact_cf7',
				array(
					'title' => __('Contact forms', 'macho-lite'),
					'priority' => 1,
					'panel' => 'panel_contact'
				)
			);

				/* Contact: contact form select */
				$wp_customize->add_setting('mt_contact_section_cf7',
					array(
						'sanitize_callback' => 'mt_sanitize_number'
					)
				);
				
				$wp_customize->add_control( new CF7_Custom_Control(
					$wp_customize,
					'mt_contact_section_cf7',
						array(
							'label' => __('Select the contact form you\'d like to display (powered by Contact Form 7)', 'macho-lite'),
							'section' => 'mt_contact_cf7',
							'priority' => 1
						)
					)
				);
				
			
			

	/***********************************************/
	/************** Team  ***************/
	/***********************************************/
	
		$wp_customize->add_panel( 'panel_team', 
			array(
				'priority' => 36,
				'capability' => 'edit_theme_options',
				'theme_supports' => '',
				'title' => __( 'Team Section', 'macho-lite' )
			) 
		);

		/* Testimonials: testimonial #2 section */
		$wp_customize->add_section( 'mt_team_titles' , array(
				'title'       => __( 'Section Titles', 'macho-lite' ),
				'priority'    => 1,
				'panel' 	  => 'panel_team'
		));

			/* Section Title */
			$wp_customize->add_setting('mt_team_section_title', 
				array(
						'sanitize_callback' => 'mt_sanitize_text',
						'default' => __('The team', 'macho-lite'),
					)
			);

			$wp_customize->add_control(
				'mt_team_section_title',
				array(
					'label' 	=> __('Section title', 'macho-lite'),
					'section' 	=> 'mt_team_titles',
					'priority' 	=> 1,
				)
			);

			/* Section Sub-Title */
			$wp_customize->add_setting('mt_team_section_sub_title', 
				array(
						'sanitize_callback' => 'mt_sanitize_text',
						'default' => __('Meet the people that made it all happen.', 'macho-lite'),
					)
			);

			$wp_customize->add_control(
				'mt_team_section_sub_title',
				array(
					'label' 	=> __('Section sub-title', 'macho-lite'),
					'section' 	=> 'mt_team_titles',
					'priority' 	=> 2,
				)
			);

			/* Team: team member #1 section */
			$wp_customize->add_section('mt_team_member_1', 
				array(
					'title' => __('Team member #1', 'macho-lite'),
					'priority' => 2,
					'panel' => 'panel_team'
				)
			);

			/* Team: team member #1 name */
			$wp_customize->add_setting('mt_team_member_1_name',
				array(
					'sanitize_callback' => 'mt_sanitize_text',
					'default' => __('John Doe', 'macho-lite'),
				)
			);

			$wp_customize->add_control(
				'mt_team_member_1_name',
				array(
					'label' => __('Team member #1 name', 'macho-lite'),
					'section' => 'mt_team_member_1',
					'priority' => 1,
				)
			);

			/* Team: team member #1 picture */
			$wp_customize->add_setting('mt_team_member_1_image',
				array(
					'sanitize_callback' => 'mt_sanitize_file_url',
					'default' => get_template_directory_uri() . '/layout/images/team/teammembru-150x150.jpg'
				)
			);
			$wp_customize->add_control( new WP_Customize_Image_Control(
				$wp_customize,
				'mt_team_member_1_image',
					array(
						'label' => __('Team member #1 image', 'macho-lite'),
						'section' => 'mt_team_member_1',
						'priority' => 2
					)
				)
			);

			/* Team: team member #1 facebook */
			$wp_customize->add_setting('mt_team_member_1_facebook', 
				array(
					'sanitize_callback' => 'esc_url_raw',
					'default' => 'https://www.facebook.com/machothemes/'
				)
			);

			$wp_customize->add_control(
				'mt_team_member_1_facebook',
				array(
					'label' => __('Team member #1 Facebook URL', 'macho-lite'),
					'section' => 'mt_team_member_1',
					'priority' => 3
				)
			);

			/* Team: team member #1 Dribbble */
			$wp_customize->add_setting('mt_team_member_1_dribbble', 
				array(
					'sanitize_callback' => 'esc_url_raw',
					'default' => 'http://www.dribbble.com/madalin.duca/'
				)
			);

			$wp_customize->add_control(
				'mt_team_member_1_dribbble',
				array(
					'label' => __('Team member #1 Dribbble URL', 'macho-lite'),
					'section' => 'mt_team_member_1',
					'priority' => 4
				)
			);


			/* Team: team member #2 section */
			$wp_customize->add_section('mt_team_member_2', 
				array(
					'title' => __('Team member #2', 'macho-lite'),
					'priority' => 2,
					'panel' => 'panel_team'
				)
			);

			/* Team: team member #2 name */
			$wp_customize->add_setting('mt_team_member_2_name',
				array(
					'sanitize_callback' => 'mt_sanitize_text',
					'default' => __('John Doe', 'macho-lite'),
				)
			);

			$wp_customize->add_control(
				'mt_team_member_2_name',
				array(
					'label' => __('Team member #2 name', 'macho-lite'),
					'section' => 'mt_team_member_2',
					'priority' => 1,
				)
			);

			/* Team: team member #2 picture */
			$wp_customize->add_setting('mt_team_member_2_image',
				array(
					'sanitize_callback' => 'mt_sanitize_file_url',
					'default' => get_template_directory_uri() . '/layout/images/team/teammembru2-150x150.jpg'
				)
			);
			$wp_customize->add_control( new WP_Customize_Image_Control(
				$wp_customize,
				'mt_team_member_2_image',
					array(
						'label' => __('Team member #2 image', 'macho-lite'),
						'section' => 'mt_team_member_2',
						'priority' => 2
					)
				)
			);

			/* Team: team member #2 facebook */
			$wp_customize->add_setting('mt_team_member_2_facebook', 
				array(
					'sanitize_callback' => 'esc_url_raw',
					'default' => 'https://www.facebook.com/machothemes/'
				)
			);

			$wp_customize->add_control(
				'mt_team_member_2_facebook',
				array(
					'label' => __('Team member #2 Facebook URL', 'macho-lite'),
					'section' => 'mt_team_member_2',
					'priority' => 3
				)
			);

			/* Team: team member #2 Dribbble */
			$wp_customize->add_setting('mt_team_member_2_dribbble', 
				array(
					'sanitize_callback' => 'esc_url_raw',
					'default' => 'http://www.dribbble.com/madalin.duca/'
				)
			);

			$wp_customize->add_control(
				'mt_team_member_2_dribbble',
				array(
					'label' => __('Team member #2 Dribbble URL', 'macho-lite'),
					'section' => 'mt_team_member_2',
					'priority' => 4
				)
			);



	

}
add_action( 'customize_register', 'mt_customize_register' );


function mt_customize_preview_js() {
	wp_enqueue_script( 'mt_customizer', get_template_directory_uri() . '/layout/js/customizer/customizer.js', array( 'customize-preview' ), '1.0', true );
}
add_action( 'customize_preview_init', 'mt_customize_preview_js' );

function mt_sanitize_text( $input ) {
    return wp_kses_post( force_balance_tags( $input ) );
}

function mt_sanitize_pro_version( $input ) {
    return $input;
}

function mt_sanitize_number( $input ) {
    return force_balance_tags( $input );
}

function mt_sanitize_file_url( $url ) {

	$output = '';

	$filetype = wp_check_filetype( $url );
	if ( $filetype["ext"] ) {
		$output = esc_url_raw( $url );
	}

	return $output;
}


function mt_sanitize_hex_color( $color ) {
	if ( '' === $color ) {
		return '';
	}

	// 3 or 6 hex digits, or the empty string.
	if ( preg_match('|^#([A-Fa-f0-9]{3}){1,2}$|', $color ) ) {
		return $color;
	}

	return null;
}

function mt_sanitize_checkbox( $value ) {
	if ( $value == 1 ) {
		return 1;
    } else {
		return 0;
    }
}






function mt_registers() {

	wp_enqueue_script( 'jquery_ui' );

	wp_enqueue_style( 'mt_jquery_ui_css' );
	wp_register_script( 'mt_customizer_script', get_template_directory_uri() . '/layout/js/customizer/customizer.js', array('jquery'), '20120206', true  );
	wp_enqueue_script( 'mt_customizer_script' );
	
	
	wp_localize_script( 'mt_customizer_script', 'objectL10n', array(
		
		'documentation' => __( 'Documentation', 'macho-lite' ),
		'pro' => __('View PRO version','macho-lite'),
		'review' => __('Leave a review (it will help us)','macho-lite'),
		'support' => __('Support Forum','macho-lite')
		
	) );
	
}
add_action( 'customize_controls_enqueue_scripts', 'mt_registers' );