<?php

$section_title = get_theme_mod('mt_about_section_title', 'We build solutions for your everyday problems.');
$section_sub_title = get_theme_mod('mt_about_section_sub_title', 'This is what we do in a nutshell.');

// Text blocks
$section_text_block = get_theme_mod('mt_about_section_textarea', 'Creative ut tincidunt nibh, varius cursus nunc. Curabitur molestie, metus vel luctus euismod, mi libero laoreet odio, eu dapibus leo tortor sit amet purus. It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout.');
$section_text_blockquote = get_theme_mod('mt_about_section_blockquote', 'Working with Pixova has been an experience for a lifetime. I strongly reccommend these guys for their awesome support. Erlich Bachman, Aviato');


// Section #1 Chart
$section_1_chart_heading = get_theme_mod('mt_about_section_chart_1_heading', 'Web development');
$section_1_chart_percentage = get_theme_mod('mt_about_section_chart_1_percentage', '70');
$section_1_chart_bar_color = get_theme_mod('mt_about_section_chart_1_bar_color', '#2cc36b');
$section_1_chart_track_color = get_theme_mod('mt_about_section_chart_1_track_color', '#EEEEEE');

// Section #2 Chart
$section_2_chart_heading = get_theme_mod('mt_about_section_chart_2_heading', 'Web Design');
$section_2_chart_percentage = get_theme_mod('mt_about_section_chart_2_percentage', '70');
$section_2_chart_bar_color = get_theme_mod('mt_about_section_chart_2_bar_color', '#2cc36b');
$section_2_chart_track_color = get_theme_mod('mt_about_section_chart_2_track_color', '#EEEEEE');

// Section #3 Chart
$section_3_chart_heading = get_theme_mod('mt_about_section_chart_3_heading', 'Print Design');
$section_3_chart_percentage = get_theme_mod('mt_about_section_chart_3_percentage', '70');
$section_3_chart_bar_color = get_theme_mod('mt_about_section_chart_3_bar_color', '#2cc36b');
$section_3_chart_track_color = get_theme_mod('mt_about_section_chart_3_track_color', '#EEEEEE');

// Section #4 Chart
$section_4_chart_heading = get_theme_mod('mt_about_section_chart_2_heading', 'Graphic Identity');
$section_4_chart_percentage = get_theme_mod('mt_about_section_chart_4_percentage', '70');
$section_4_chart_bar_color = get_theme_mod('mt_about_section_chart_4_bar_color', '#2cc36b');
$section_4_chart_track_color = get_theme_mod('mt_about_section_chart_4_track_color', '#EEEEEE');

// Logic used to dynamically create the layout, based on how many charts are active
$no_of_charts = 0;

if( isset( $section_1_chart_percentage ) && is_numeric( $section_1_chart_percentage) ) {
	$no_of_charts++;
} 

if( isset( $section_2_chart_percentage ) && is_numeric( $section_2_chart_percentage) ) {
	$no_of_charts++;
} 

if( isset( $section_3_chart_percentage ) && is_numeric( $section_3_chart_percentage) ) {
	$no_of_charts++;
} 

if( isset( $section_4_chart_percentage ) && is_numeric( $section_4_chart_percentage) ) {
	$no_of_charts++;
} 


if($no_of_charts == 1) {
	$cols = 'col-md-4 col-sm-6 col-xs-6 text-center';
} else if($no_of_charts == 2) {
	$cols = 'col-md-4 col-sm-6 col-xs-6 text-center';
} else if($no_of_charts == 3) {
	$cols = 'col-md-4 col-sm-6 col-xs-6';
} else if($no_of_charts == 4){
	$cols = 'col-md-3 col-sm-6 col-xs-6';
}


echo '<section class="has-padding" id="about">';
	echo '<div class="container">';
		echo '<div class="row">';
			echo '<div class="text-center">';
				echo '<h2 class="section-heading light-section-heading">';
					echo $section_title;
					echo '<span>'.$section_sub_title.'</span>';
				echo '</h2>';
			echo '</div><!--/.text-center-->';
		echo '</div><!--/.row-->';

		echo '<div class="row">';
		echo '<p class="about-text">';
			echo $section_text_block;
		echo '</p>';
			echo '<blockquote>';
				echo '<p>'.$section_text_blockquote.'</p>';
			echo '</blockquote>';

		if(isset($section_1_chart_percentage) && is_numeric( $section_1_chart_percentage) ) {
			echo '<div class="'.$cols.'">';
				echo '<div class="mt-chart" data-trackColor="'.$section_1_chart_track_color.'" data-barColor="'.$section_1_chart_bar_color.'" data-lineWidth="10" data-percent="'.$section_1_chart_percentage.'">';
					echo'<div class="mt-pie-chart-custom-text">';
						echo $section_1_chart_percentage.'%';
	    			echo'</div>';
	        	echo '</div><!--/.mt-chart-->';

	        	if( isset( $section_1_chart_heading ) ) {
		        	echo '<h4 class="mt-heading mt-heading-single-line text-center">';
		        		echo $section_1_chart_heading;
		        	echo '</h4>';
	        	}

        	echo '</div><!--/.col-md-->';
        }

        if(isset($section_2_chart_percentage) && is_numeric( $section_2_chart_percentage) ) {
        	echo '<div class="'.$cols.'">';
				echo '<div class="mt-chart" data-trackColor="'.$section_2_chart_track_color.'" data-barColor="'.$section_2_chart_bar_color.'" data-lineWidth="10" data-percent="'.$section_2_chart_percentage.'">';
					echo'<div class="mt-pie-chart-custom-text">';
	            		echo $section_2_chart_percentage.'%';
	            	echo'</div>';
	        	echo '</div><!--/.mt-chart-->';

	        	if( isset( $section_2_chart_heading ) ) {
		        	echo '<h4 class="mt-heading mt-heading-single-line text-center">';
		        		echo $section_2_chart_heading;
		        	echo '</h4>';
	        	}
	        echo '</div><!--/.col-md-->';
        }

        if(isset($section_3_chart_percentage) && is_numeric( $section_3_chart_percentage) ) {
        	echo '<div class="'.$cols.'">';
				echo '<div class="mt-chart" data-trackColor="'.$section_3_chart_track_color.'" data-barColor="'.$section_3_chart_bar_color.'" data-lineWidth="10" data-percent="'.$section_3_chart_percentage.'">';
					  	echo'<div class="mt-pie-chart-custom-text">';
            				echo $section_3_chart_percentage .'%';
            			echo'</div>';
	        	echo '</div><!--/.mt-chart-->';
	        	if( isset( $section_3_chart_heading ) ) {
		        	echo '<h4 class="mt-heading mt-heading-single-line text-center">';
		        		echo $section_3_chart_heading;
		        	echo '</h4>';
	        	}
	        echo '</div><!--/.col-md-->';
        }	


		if(isset($section_4_chart_percentage) && is_numeric( $section_4_chart_percentage) ) {
			echo '<div class="'.$cols.'">';
				echo '<div class="mt-chart" data-trackColor="'.$section_4_chart_track_color.'" data-barColor="'.$section_4_chart_bar_color.'" data-lineWidth="10" data-percent="'.$section_4_chart_percentage.'">';
					echo'<div class="mt-pie-chart-custom-text">';
						echo $section_4_chart_percentage .'%';
	    			echo'</div>';
	        	echo '</div><!--/.mt-chart-->';
	        	if( isset( $section_4_chart_heading ) ) {
		        	echo '<h4 class="mt-heading mt-heading-single-line text-center">';
		        		echo $section_4_chart_heading;
		        	echo '</h4>';
	        	}
	        echo '</div><!--/.col-md-->';
        }
        echo '<div class="clearfix"></div>';
		echo '</div><!--/.row-->';

	echo '</div><!--/.container-->';
echo '</section>';