<?php

$section_title = get_theme_mod('mt_news_section_title', 'Latest news');
$section_sub_title = get_theme_mod('mt_news_section_sub_title', 'Straight from our blog');

// section args
$limit = get_theme_mod('mt_news_post_number', 4);



echo '<section class="has-padding" id="news">';
	echo '<div class="container">';
		echo '<div class="row">';
			echo '<div class="text-center">';
				echo '<h2 class="section-heading light-section-heading">';
					echo $section_title;
					echo '<span>'.$section_sub_title.'</span>';
				echo '</h2>';
			echo '</div><!--/.text-center-->';
		echo '</div><!--/.row-->';

		echo '<div class="row">';

		// query args
        $args = array(
            'post_type' => 'post',
            'posts_per_page' => $limit,
            'orderby' => 'date',
            'order' => 'DESC'

        );

        $q = new WP_Query($args);

        if( $q->have_posts() ) {

           echo '<div class="mt-blog-posts text-center">';
                echo '<div class="row">';

            while($q->have_posts() ) {

                $q->the_post();

            echo '<div class="mt-blogpost">';
                echo '<div class="col-sm-'.(2 * floor(12/$limit) ).' col-md-'.floor( 12/$limit ).'">';
                        echo '<div class="thumbnail">';

                            if(has_post_thumbnail($q->post->ID )) {
                                echo get_the_post_thumbnail($q->post->ID,'homepage-blog-posts');
                            }

                            echo '<div class="caption">';
                                echo '<div class="mt-date">'.get_the_date(get_option('date-format'), $q->post->ID).'</div>';
                                echo '<a class="mt-blogpost-title" href="'.get_the_permalink().'">'.get_the_title().'</a>';
                                echo '<p>'.apply_filters('the_content', substr(get_the_content(), 0, 50) ).'</p>';
                                echo '<div class="text-center">';
                                    echo '<a href="'.get_the_permalink().'" class="btn btn-read-more" role="button">Read more &rarr;</a>';
                                echo '</div>';
                            echo '</div><!--/.caption-->';


                echo '</div><!--/.thumbnail-->';
                echo '</div> <!--/.col-sm-6.col-md-4-->';
                echo '</div> <!--/.blogPost-->';
            }
          
            echo '</div><!--/.row-->';
            echo '<a class="btn btn-cta-light" href="'.get_permalink( get_option('page_for_posts') ).'">Visit our blog</a>';
            echo '</div><!--/.mt-blog-posts-->';
        }

     

		echo '</div><!--/.row-->';
	echo '</div><!--/.container-->';
echo '</section>';