<?php


class Macho_Widget_About extends WP_Widget {

    function Macho_Widget_About() {

        $widget_ops = array(
            'classname' => 'macho_widget_about',
            'description' => __('A widget that displays about text & social media counts. Designed for footer', 'macho')
        );

        $control_ops = array(
            'width' => 300,
            'height' => 350,
            'id_base' => 'macho_widget_about'
        );

        $this->WP_Widget( 'macho_widget_about', __('[MT] - About & SM count', 'macho'), $widget_ops, $control_ops );
    }


    function widget( $args, $instance ) {
        extract( $args );
        global $post;

        $title = apply_filters('widget_title', $instance['title'] );

        if(!$instance['about_text']) {
            $instance['about_text'] = '';
        }

        echo $before_widget;

        // stored theme options
        $theme_options = get_option('pixova_options');

        echo '<div class="fixed">';

        $title = apply_filters('widget_title', $instance['title'] );
         if ( $title )
            echo $before_title . $title . $after_title;
            echo '<p class="footer-descr">';
                echo esc_attr($instance['about_text']);
            echo '</p>';

       
        echo '</div>';

        echo $after_widget;
    }


    function update( $new_instance, $old_instance ) {

        $instance = $old_instance;

        $instance['title']                       = $new_instance['title'] ;
        $instance['about_text']                  = $new_instance['about_text'];

        return $instance;
    }


    function form( $instance ) {

        $defaults = array(
            'title' => null,
            'about_text' => null,
        );


        $instance = wp_parse_args( (array) $instance, $defaults ); ?>

        <div class="macho-meta">
            <p>
                <label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'macho'); ?></label>
                <input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" />
            </p>

            <p>
                <label for="<?php echo $this->get_field_id('about_text'); ?>">About Us</label>
                <textarea class="widefat" id="<?php echo $this->get_field_id('about_text'); ?>" rows="10" cols="10" name="<?php echo $this->get_field_name('about_text'); ?>"><?php echo esc_attr($instance['about_text']); ?></textarea>
            </p>

        </div>

    <?php
    }
}


// register the shortcode
register_widget('macho_widget_about');