<?php 



	class mt_widget_flickr extends WP_Widget {

		function mt_widget_flickr() {
			$widget_ops = array( 'classname' => 'mt_widget_flickr', 'description' => __('A widget that displays your FlickR feed', 'macho') );
			$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'mt_widget_flickr' );
			$this->WP_Widget( 'mt_widget_flickr', __('[MT] - Flickr', 'macho'), $widget_ops, $control_ops );
		}
		


		function widget( $args, $instance ) {
			extract( $args );
			global $post;

			$title = apply_filters('widget_title', $instance['title'] );
			
			$gallery_id =  $instance['gallery_id'];
			
			$gallery_items =  $instance['gallery_items'];
			if ($gallery_items <= 0 ){ $gallery_items = 9; }
			
			echo $before_widget;

			if ( $title ) {
				echo $before_title . $title . $after_title;
			}
			
				
			if ($gallery_id){
				echo '<script type="text/javascript" src="http://www.flickr.com/badge_code_v2.gne?count='.$gallery_items.'&amp;display=latest&amp;size=square&amp;source=user&amp;user='.$gallery_id.'&amp;raw=1"></script>';
			}
			
			echo $after_widget;
		}
	 
		
		function update( $new_instance, $old_instance ) {
			$instance = $old_instance;
			
			$instance['title'] = strip_tags( $new_instance['title'] );
			$instance['gallery_id'] = strip_tags( $new_instance['gallery_id'] );
			$instance['gallery_items'] = strip_tags( $new_instance['gallery_items'] );

			return $instance;
		}
		

		function form( $instance ) {
			$defaults = array( 'title' => __(null , 'macho'), 'gallery_items' => 9, 'gallery_id' => 0 );
			$instance = wp_parse_args( (array) $instance, $defaults ); ?>
			
			<div class="mt-meta">
				<p>
					<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Title:', 'macho'); ?></label>
					<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" />
				</p>
				
				<p>
					<label for="<?php echo $this->get_field_id( 'gallery_id' ); ?>"><?php _e('Gallery or User ID:', 'macho'); ?></label>
					<input id="<?php echo $this->get_field_id( 'gallery_id' ); ?>" name="<?php echo $this->get_field_name( 'gallery_id' ); ?>" value="<?php echo $instance['gallery_id']; ?>" style="width:100%;" />
				</p>
				
				<p>
					<label for="<?php echo $this->get_field_id( 'gallery_items' ); ?>"><?php _e('Number of items:', 'macho'); ?></label>
					<input id="<?php echo $this->get_field_id( 'gallery_items' ); ?>" name="<?php echo $this->get_field_name( 'gallery_items' ); ?>" value="<?php echo $instance['gallery_items']; ?>" style="width:100%;" />
				</p>
			</div>
 
		<?php
		}
	}


// register the widget
    register_widget('mt_widget_flickr');